import { defAxios as request } from '@/utils/http'

/**
 * 获取挂载设备列表(分页)
 * @param {Object}
 * @returns
 */
export function mountPage(params) {
  return request({
    url: '/equipmentMount/index',
    method: 'get',
    params
  })
}

/**
 * 获取挂载设备
 * params
 * @returns
 */
export function mountAll() {
  return request({
    url: '/equipmentMount/getList',
    method: 'get'
  })
}

/**
 * 创建挂载设备
 * @returns
 */
export function mountCreate(data) {
  return request({
    url: '/equipmentMount/add',
    method: 'post',
    data
  })
}
/**
 * 编辑挂载设备
 * @returns
 */
export function mountUpdate(data) {
  return request({
    url: '/equipmentMount/edit',
    method: 'put',
    data
  })
}
/**
 * 删除挂载设备
 * @returns
 */
export function mountDelete(ids) {
  return request({
    url: `/equipmentMount/delete/${ids}`,
    method: 'delete'
  })
}
